Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82544 - Errata removes most tools
Summary: Errata removes most tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python2
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-23 09:38 UTC by Enrico Scholz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-11 18:56:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:202 normal SHIPPED_LIVE : Updated python packages fix predictable temporary file 2002-09-12 04:00:00 UTC

Description Enrico Scholz 2003-01-23 09:38:16 UTC
Description of problem:

The python-2.2-16 packages of RHL 7.3 contains some tools in /usr/bin:

$ rpm -qlp python2-2.2-16.i386.rpm | grep /usr/bin
/usr/bin/idle2
/usr/bin/modulator2
/usr/bin/msgfmt2.py
/usr/bin/pydoc2
/usr/bin/pygettext2.py
/usr/bin/pynche2
/usr/bin/python2
/usr/bin/python2.2


Most of them are removed by the security upgrade:

$ rpm -qlp python2-2.2.2-3.7.3.i386.rpm | grep /usr/bin
/usr/bin/python2
/usr/bin/python2.2


An errata should not do such removals.

Comment 1 Mihai Ibanescu 2003-01-24 13:06:52 UTC
Umm... yes, you're right.

Comment 2 Jay Turner 2003-02-11 18:56:22 UTC
Fix confirmed with python2-2.2.2-11.7.3 which should be going out shortly as errata.


Note You need to log in before you can comment on or make changes to this bug.